ALTER COLLATION(7)

NAME
ALTER_COLLATION - change the definition of a collation

SYNOPSIS

ALTER COLLATION name RENAME TO new_name
ALTER COLLATION name OWNER TO new_owner
ALTER COLLATION name SET SCHEMA new_schema

DESCRIPTION

ALTER COLLATION changes the definition of a collation.

You must own the collation to use ALTER COLLATION. To alter the owner, you must also be a direct or indirect member of the new owning role, and that role must have CREATE privilege on the collation's schema. (These restrictions enforce that altering the owner doesn't do anything you couldn't do by dropping and recreating the collation. However, a superuser can alter ownership of any collation anyway.)

PARAMETERS

name
    The name (optionally schema-qualified) of an existing collation.

new_name
    The new name of the collation.

new_owner
    The new owner of the collation.

new_schema
    The new schema for the collation.

EXAMPLES

To rename the collation de_DE to german:

    ALTER COLLATION "de_DE" RENAME TO german;

To change the owner of the collation en_US to joe:

    ALTER COLLATION "en_US" OWNER TO joe;

COMPATIBILITY

There is no ALTER COLLATION statement in the SQL standard.

SEE ALSO
CREATE COLLATION (CREATE_COLLATION(7)), DROP COLLATION (DROP_COLLATION(7))